# Template de projet pour le TP JPA UniR

```mermaid


classDiagram
    Utilisateur "*" -- "*" Session
    Session "*" -- "1" Quizz
    Quizz "1" -- "1..*" Question
    Utilisateur "1" -- "*" Quizz
    Question "1" -- "1" Reponse 
    Reponse <|-- ReponseCourte
    Reponse <|-- Choix


    class Utilisateur {
        -id : int
        name : String
        getId()int
        setId(id:int)void
        getName()String
        setName(name:String)void

    }
    class Session{
        -id : int
        theme : int
        getId()int
        setId(id:int)void
        getTheme()String
        setTheme(theme:String)void
    }
    class Quizz{
        -id : int
        getId()int
        setId(id:int)void
    }
    class Reponse{
        - id : int
        reponses : List&lt;String&gt; 
        getId()int
        setId(id:int)void
        getReponse()List&lt;String&gt;
        setReponse(reponse:List&lt;String&gt; )void
    }
    class Choix{
        - id : int
        choix : List&lt;String&gt;
        getId()int
        setId(id:int)void
        getChoix()List&lt;String&gt;
        setChoix(choix:List&lt;String&gt;)void
    }
    class ReponseCourte{
        - id : int
        value : String
        getId()int
        setId(id:int)void
        getVlaue()String
        setId(id:String)void
    }
    class Question{
        - id : int
        getId()int
        setId(id:int)void
    }
```


Commande pour supprimer: ```rm -rd data/*```